# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models

def forwards(apps, schema_editor):

    Payment = apps.get_model('billing', 'Payment')
    Invoice = apps.get_model('billing', 'Invoice')
    MembershipFee = apps.get_model('members', 'MembershipFee')
    TempMembershipFee = apps.get_model('billing', 'TempMembershipFee')
    PaymentAllocation = apps.get_model('billing', 'PaymentAllocation')

    # Update payment
    for payment in Payment.objects.all():
        payment.bill = payment.invoice
        payment.save()

    # Update invoice data
    for invoice in Invoice.objects.all():
        invoice.member2 = invoice.member
        invoice.status2 = invoice.status
        invoice.date2 = invoice.date
        invoice.pdf2 = invoice.pdf
        invoice.save()

    # Update balance for all members
    for fee in MembershipFee.objects.all():

        temp_fee = TempMembershipFee()
        temp_fee._amount = fee.amount
        temp_fee.start_date = fee.start_date
        temp_fee.end_date = fee.end_date
        temp_fee.status2 = 'closed'
        temp_fee.date2 = temp_fee.start_date
        temp_fee.member2 = fee.member
        temp_fee.save()

        payment = Payment()
        payment.member = fee.member
        payment.payment_mean = fee.payment_method
        payment.amount = fee.amount
        payment.date = fee.payment_date
        payment.label = fee.reference
        payment.bill = temp_fee
        payment.save()

        allocation = PaymentAllocation()
        allocation.invoice = temp_fee
        allocation.payment = payment
        allocation.amount = fee.amount
        allocation.save()


class Migration(migrations.Migration):

    dependencies = [
        ('billing', '0012_auto_20180415_1502'),
    ]

    operations = [
        migrations.RunPython(forwards),
    ]
